
/******************************************************************************
* MODULE     : table_test.cc
* DESCRIPTION: Test tables
* COPYRIGHT  : (C) 2003  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "table.hpp"
using namespace mml;

int
main () {
  table<int,int> t(0); t(1)=2; t(7)=7;
  table<int,int> u(0); u(1)=8; u(2)=7; u(3)=6; u(4)=5;
  cout << "t\t= " << t << "\n";
  cout << "u\t= " << u << "\n";
  cout << "-t\t= " << -t << "\n";
  cout << "t+u\t= " << t+u << "\n";
  cout << "t-u\t= " << t-u << "\n";
  cout << "u-t\t= " << u-t << "\n";
  cout << "t*u\t= " << t*u << "\n";
  cout << "2*t\t= " << 2*t << "\n";
  cout << "t*2\t= " << t*2 << "\n";
  //cout << "t/u\t= " << t/u << "\n";
  cout << "t/3\t= " << t/3 << "\n";
  cout << "t+=u\t= " << (t+=u) << "\n";
  cout << "t-=u\t= " << (t-=u) << "\n";
  //cout << "t*=u\t= " << (t*=u) << "\n";
  //cout << "t/=u\t= " << (t/=u) << "\n";
  cout << "t*=11\t= " << (t*=11) << "\n";
  cout << "t/=11\t= " << (t/=11) << "\n";
  cout << "t=u\t= " << (t==u) << "\n";
  cout << "t!=u\t= " << (t!=u) << "\n";
  cout << "t<u\t= " << (t<u) << "\n";
  cout << "t<=u\t= " << (t<=u) << "\n";
  cout << "t>u\t= " << (t>u) << "\n";
  cout << "t>=u\t= " << (t>=u) << "\n";
  u->reset(3); cout << "-> u->reset(3)\n";
  cout << "u\t= " << u << "\n";
  return 0;
}
