
/******************************************************************************
* MODULE     : polynomial_test.cc
* DESCRIPTION: Test polynomials
* COPYRIGHT  : (C) 2004  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "polynomial.hpp"
using namespace mml;

int
main () {
  polynomial<int> P(1,5);
  polynomial<int> Q(7,3);
  cout << "P\t= " << P << "\n";
  cout << "Q\t= " << Q << "\n";
  cout << "P+Q\t= " << P+Q << "\n";
  cout << "P-Q\t= " << P-Q << "\n";
  cout << "Q-P\t= " << Q-P << "\n";
  cout << "P*Q\t= " << P*Q << "\n";
  cout << "2*P\t= " << 2*P << "\n";
  cout << "P*2\t= " << P*2 << "\n";
  cout << "P/3\t= " << P/3 << "\n";
  cout << "P+=Q\t= " << (P+=Q) << "\n";
  cout << "P-=Q\t= " << (P-=Q) << "\n";
  //cout << "P*=Q\t= " << (P*=Q) << "\n";
  //cout << "P/=Q\t= " << (P/=Q) << "\n";
  cout << "P*=11\t= " << (P*=11) << "\n";
  cout << "P/=11\t= " << (P/=11) << "\n";
  cout << "P=Q\t= " << (P==Q) << "\n";
  cout << "P!=Q\t= " << (P!=Q) << "\n";
  cout << "P<Q\t= " << (P<Q) << "\n";
  cout << "P<=Q\t= " << (P<=Q) << "\n";
  cout << "P>Q\t= " << (P>Q) << "\n";
  cout << "P>=Q\t= " << (P>=Q) << "\n";
  return 0;
}
